Bug 168612 - OpenLDAP performance problem under load, caused by sched_yield()
OpenLDAP performance problem under load, caused by sched_yield()
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-17 23:02 EDT by Bernie Innocenti
Modified: 2014-08-31 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.3.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 17:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix by Howard Chu (730 bytes, patch)
2005-11-25 20:45 EST, Bernie Innocenti
no flags Details | Diff

  None (edit)
Description Bernie Innocenti 2005-09-17 23:02:16 EDT
Description of problem:

OpenLDAP 2.2.26 has a scheduling bug that makes any query crawl
under moderate CPU load (even nice load).

This is again the usual sched_yield() behavior change that has
haunted OpenOffice and other applications.

This issue has been recently discussed on LKML and in OpenLDAP's
bug-tracking system.  One of the authors recommends upgrading to
2.3.7.  Is there a chance we can get this in rawhide or even FC4?


Version-Release number of selected component (if applicable):
2.2.26-1

How reproducible:
always

Steps to Reproduce:
1.start a long-running CPU-bound process such as gcc
2.try some LDAP queries and measure with time or strace -t
Comment 1 Bernie Innocenti 2005-11-24 21:46:28 EST
OpenLDAP 2.3.11 has been included in fedora-development.

By the way, the bug I was moaning about is still there.
I will complain upstream.
Comment 2 Bernie Innocenti 2005-11-25 20:45:08 EST
Created attachment 121499 [details]
Proposed fix by Howard Chu
Comment 3 Bernie Innocenti 2005-11-25 20:45:46 EST
Applying the attached patch to openldap-2.3.11 fixed the problem for me.
Please include it in the package patch set until it's available from upstream.
Comment 4 Bernie Innocenti 2006-08-03 17:48:34 EDT
Problem appears to be fixed in FC5 with openldap 2.3.19.

Note You need to log in before you can comment on or make changes to this bug.